package com.nisum;

import org.junit.Assert;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class Login {

    WebDriver driver;
    WebElement signInLink;
    WebElement inputEmailAddress;
    WebElement inputPassword;
    WebElement btnSubmit;

    public Login(WebDriver driver) {
        this.driver = driver;
    }


    public WebElement getInputEmailAddress() {
        return driver.findElement(By.xpath("//input[@id='label-email']"));
    }


    public WebElement getInputPassword() {
        return driver.findElement(By.xpath("//input[@id='label-password']"));
    }

    public WebElement getBtnSubmit() {
        return driver.findElement(By.xpath("//input[@id='btnSignIn']"));

    }

    public void navigateHome(String url) {
        driver.get(url);
    }

    public void login(String emailAddress, String password) {
        WebDriverWait wdw = new WebDriverWait(driver, 5);

        getInputEmailAddress().sendKeys(emailAddress);
        getInputPassword().sendKeys(password);

        wdw.until(ExpectedConditions.elementToBeClickable(getBtnSubmit()));
        getBtnSubmit().click();

        wdw.until(ExpectedConditions.stalenessOf(getBtnSubmit()));

    }

}